Bug 872431 - (cinnamon-settings.py:2273): GLib-GIO-ERROR **: Settings schema 'org.gnome.nautilus.preferences' does not contain a key named 'show-location-entry'
Summary: (cinnamon-settings.py:2273): GLib-GIO-ERROR **: Settings schema 'org.gnome.na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 17
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-02 04:06 UTC by jeviolle
Modified: 2012-11-28 15:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-28 15:58:17 UTC
Type: Bug


Attachments (Terms of Use)

Description jeviolle 2012-11-02 04:06:08 UTC
Description of problem:

Unable to launch themes in the cinnamon-settings window. Below is the error received when selecting themes.

(cinnamon-settings.py:2273): GLib-GIO-ERROR **: Settings schema 'org.gnome.nautilus.preferences' does not contain a key named 'show-location-entry'

Version-Release number of selected component (if applicable):

cinnamon-1.6.3-1.fc17.i686

How reproducible:

Every time themes is selected from the cinnamon-settings window.

Steps to Reproduce:
1. Launch cinnamon-settings
2. Click themes
  
Actual results:

core dump due to the following reason:

(cinnamon-settings.py:2273): GLib-GIO-ERROR **: Settings schema 'org.gnome.nautilus.preferences' does not contain a key named 'show-location-entry'


Expected results:

Theme selector opens.


Additional info:

To resolve, line 885 needs to include the correct key of always-use-location-entry instead of show-location-entry. Patch below:


--- cinnamon-settings.py	2012-11-01 16:01:09.379605551 -0400
+++ cinnamon-settings.py.20121101	2012-11-01 16:02:55.355619875 -0400
@@ -882,7 +882,7 @@
         buttonsHaveIconsCB = GSettingsCheckButton(_("Buttons Have Icons"), "org.gnome.desktop.interface", "buttons-have-icons", None)
         other_settings_box.pack_start(buttonsHaveIconsCB, False, False, 2)
         if 'org.gnome.nautilus' in Gio.Settings.list_schemas():
-            alwaysUseLocationEntryCB = GSettingsCheckButton(_("Always Use Location Entry In Nautilus"), "org.gnome.nautilus.preferences", "always-use-location-entry", None)
+            alwaysUseLocationEntryCB = GSettingsCheckButton(_("Always Use Location Entry In Nautilus"), "org.gnome.nautilus.preferences", "show-location-entry", None)
             other_settings_box.pack_start(alwaysUseLocationEntryCB, False, False, 2)
         cursorThemeSwitcher = GSettingsComboBox(_("Cursor theme"), "org.gnome.desktop.interface", "cursor-theme", None, self._load_cursor_themes())
         other_settings_box.pack_start(cursorThemeSwitcher, False, False, 2)

Comment 1 leigh scott 2012-11-02 12:53:00 UTC
I have download the 1.6.3-1 and checked it and it uses the correct setting


$ grep -i always '/home/leigh/Desktop/Downloads/cinnamon-1.6.3-1.fc17.x86_64/usr/share/cinnamon-settings/cinnamon-settings.py' 
            alwaysUseLocationEntryCB = GSettingsCheckButton(_("Always Use Location Entry In Nautilus"), "org.gnome.nautilus.preferences", "show-location-entry", None)
            other_settings_box.pack_start(alwaysUseLocationEntryCB, False, False, 2)

Comment 2 jeviolle 2012-11-02 17:38:24 UTC
It is only works with always-use-location-entry instead of show-location-entry on i686. My diff was backwards. 

So the fix was to change it to always-use-location-entry

Comment 3 leigh scott 2012-11-02 17:44:38 UTC
(In reply to comment #2)

>  My diff was backwards. 
> 

:-)

Comment 4 Fedora Update System 2012-11-02 17:46:28 UTC
cinnamon-1.6.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cinnamon-1.6.4-1.fc17

Comment 5 Fedora Update System 2012-11-04 01:56:29 UTC
Package cinnamon-1.6.4-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cinnamon-1.6.4-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17576/cinnamon-1.6.4-1.fc17
then log in and leave karma (feedback).

Comment 6 jeviolle 2012-11-05 00:04:27 UTC
Updated to testing. Thanks for fast turn around.


Note You need to log in before you can comment on or make changes to this bug.